Skip to main content
GET
/
v1
/
environments
/
{id}
Get environment
curl --request GET \
  --url https://api.agentmark.co/v1/environments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": {
    "cascade_preview": {
      "alert_count": 1,
      "api_key_count": 1,
      "deployment_count": 1,
      "template_snapshot_count": 1
    },
    "created_at": "<string>",
    "created_by_id": "<string>",
    "current_commit_sha": "<string>",
    "current_version": 1,
    "epoch": 123,
    "fly_app_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "in_flight_saga_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_default": true,
    "latest_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "updated_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Path Parameters

id
string<uuid>
required

Response

Environment detail with cascade preview.

data
object
required